/*

MiscTapper
Version 1.2
Copyright (c) 1995 by Sean Luke
Donated to the MiscKit

Permission to use, copy, modify, and distribute this material 
for any purpose and without fee, under the restrictions as noted 
in the MiscKit copyright notice, is hereby granted, provided that
the MiscKit copyright notice and this permission notice 
appear in all source copies, and that the author's name shall not
be used in advertising or publicity pertaining to this 
material without the specific, prior written permission 
of the author.  SEAN O. LUKE  MAKES NO REPRESENTATIONS ABOUT THE
ACCURACY OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  
IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.

*/

#import <objc/Object.h>
#import <appkit/appkit.h>


@interface MiscTapper:Object

{
	NXSoundIn*				tapper_device;
	NXRecordStream*			tapper_stream;
	DPSTimedEntry			teNum;
	int						tapper_load;
	int						running;
}

- init;
- awake;			
- free;

- run:sender;		// Starts or resumes tapping
- stop:sender;		// Suspends tapping

@end